Subject: AW: [PATCH net-next 1/8] net: mdio: realtek-rtl9300: Convert to fwnode API

From: "Markus Stockhausen" <[email-masked]>
Date: Tue, 2 Jun 2026 14:29:23 +0200

> Von: Andrew Lunn <[email-masked]> 
> Gesendet: Dienstag, 2. Juni 2026 14:06
> An: Markus Stockhausen <[email-masked]>
> Betreff: Re: [PATCH net-next 1/8] net: mdio: realtek-rtl9300: Convert to
fwnode API
> 
> On Tue, Jun 02, 2026 at 07:26:33AM +0200, Markus Stockhausen wrote:
> > The driver still uses legacy "of_" functions to determine the port
mapping
> > during probing. Convert this to the modern fwnode API. With that also
fix
> > a subtle lookup bug in the original code.
>
> fwnode does not exist because it is modern. It allows you to have
> other bindings, like ACPI binding, using the same code. Do you need an
> ACPI binding? Have you documented this new ACPI binding? Has ACPI been
> tested? Are there any OF properties which as listed as deprecated
> which have been converted to fwnode? A new binding should not start
> out with deprecated properties.

As I'm no firmware expert, thanks for the note. 
I came across this mix in the old code:

	err = fwnode_property_read_u32(port, "reg", &pn);
	...
	err = of_property_read_u32(mdio_dn, "reg", &bus);

So I decided to get consistent and opt for the 
fwnode version. To be precise: We are using 
device tree only here and we do not need to 
change any structure or properties. 

Leave all as is then? If yes, do I use "of_" or "fwnode_" 
for new functions? E.g. for patch 2/8.

Markus